package ip

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
)

const (
	VERSION = "2025-06-24"
)

var HOST = requests.Host{
	Default: "ip",
}

type Client struct {
	sdk.Client
}

func NewClient() (client *Client, err error) {
	client = new(Client)
	err = client.Init()
	return
}

func (client *Client) CreateGetIpRequest(req *IpRequest) (resp *IpResponse, err error) {
	resp = CreateIpResponse()
	err = client.DoAction(req, resp)
	return
}

func (client *Client) CreateGetIpsRequest(req *IpsRequest) (resp *IpsResponse, err error) {
	resp = CreateIpsResponse()
	err = client.DoAction(req, resp)
	return
}
